Docs

Release Channels

GET
/v1/release-channels

List the release channels configured for a project.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100
project*string

Filter by project ID or name.

Lengthlength <= 100

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/release-channels?project=my-project"
{  "items": [    {      "workspaceId": "ws_It13CUaGEhLLAB87simX0",      "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",      "name": "string",      "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",      "deploymentCount": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
POST
/v1/release-channels

Create a release channel for a project.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100
project*string

Filter by project ID or name.

Lengthlength <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/release-channels?project=my-project" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "name": "string",  "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",  "deploymentCount": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
DELETE
/v1/release-channels/{name}

Delete a release channel from a project.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

name*string
Match^[a-z][a-z0-9-]*$
Length1 <= length <= 63

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100
project*string

Filter by project ID or name.

Lengthlength <= 100

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/release-channels/string?project=my-project"
Empty